<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>alg/mmwavelib/src/fft/mmwavelib_windowing_float.c File Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_c9839ac9bd42e86e6159886378237831.html">alg</a></li><li class="navelem"><a class="el" href="dir_5f5b3a6c6f9ee84cdf9c273ccf43003e.html">mmwavelib</a></li><li class="navelem"><a class="el" href="dir_9fa96890f77570b05e4519e45129846b.html">src</a></li><li class="navelem"><a class="el" href="dir_23ffccf3c608a84aff4e8a4d3de2ea11.html">fft</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">mmwavelib_windowing_float.c File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Contains functions related to windowing of data (typically prior to an FFT)  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &lt;stdint.h&gt;</code><br />
<code>#include &lt;c6x.h&gt;</code><br />
<code>#include &lt;<a class="el" href="mmwavelib__c674__emulate__c66__intrinsics_8h.html">ti/alg/mmwavelib/include/mmwavelib_c674_emulate_c66_intrinsics.h</a>&gt;</code><br />
<code>#include &quot;<a class="el" href="mmwavelib__fft__float_8h.html">mmwavelib_fft_float.h</a>&quot;</code><br />
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ga02dc3f2198325a32621d465e667a074f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e_l_i_b___f_f_t___f_l_o_a_t.html#ga02dc3f2198325a32621d465e667a074f">mmwavelib_windowing1DFltp</a> (uint32_t nSamplesValidPerChirp, uint32_t fftSize1D, int16_t fftWin1D[restrict], int16_t *inputPtr, float32_t *outputPtr)</td></tr>
<tr class="memdesc:ga02dc3f2198325a32621d465e667a074f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Function Name : mmwavelib_windowing1DFltp.  <a href="group___m_m_w_a_v_e_l_i_b___f_f_t___f_l_o_a_t.html#ga02dc3f2198325a32621d465e667a074f">More...</a><br /></td></tr>
<tr class="separator:ga02dc3f2198325a32621d465e667a074f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7571f2d0c92fd40ea66f977a420205d8"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e_l_i_b___f_f_t___f_l_o_a_t.html#ga7571f2d0c92fd40ea66f977a420205d8">mmwavelib_windowing2DFltp</a> (uint32_t fftSize1D, float32_t inWin, float32_t inOutPtr[restrict])</td></tr>
<tr class="memdesc:ga7571f2d0c92fd40ea66f977a420205d8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Function Name : mmwavelib_windowing2DFltp.  <a href="group___m_m_w_a_v_e_l_i_b___f_f_t___f_l_o_a_t.html#ga7571f2d0c92fd40ea66f977a420205d8">More...</a><br /></td></tr>
<tr class="separator:ga7571f2d0c92fd40ea66f977a420205d8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4ec7cd9fd58d0ec4628f520ae6a99bf6"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e_l_i_b___f_f_t___f_l_o_a_t.html#ga4ec7cd9fd58d0ec4628f520ae6a99bf6">mmwavelib_chirpProcWin2DFxdpinFltOut</a> (uint32_t fftSize1D, int16_t inWin, void *inoutPtr)</td></tr>
<tr class="memdesc:ga4ec7cd9fd58d0ec4628f520ae6a99bf6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Function Name : mmwavelib_chirpProcWin2DFxdpinFltOut.  <a href="group___m_m_w_a_v_e_l_i_b___f_f_t___f_l_o_a_t.html#ga4ec7cd9fd58d0ec4628f520ae6a99bf6">More...</a><br /></td></tr>
<tr class="separator:ga4ec7cd9fd58d0ec4628f520ae6a99bf6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga5129c459d93224bf7635bcacf0c885e9"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e_l_i_b___f_f_t___f_l_o_a_t.html#ga5129c459d93224bf7635bcacf0c885e9">mmwavelib_dopplerProcWin2DFxdpinFltOut</a> (uint32_t length, int16_t *restrict inputPtr, int16_t *restrict windowPtr, float32_t *restrict outputPtr)</td></tr>
<tr class="memdesc:ga5129c459d93224bf7635bcacf0c885e9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Function Name : mmwavelib_dopplerProcWin2DFxdpinFltOut.  <a href="group___m_m_w_a_v_e_l_i_b___f_f_t___f_l_o_a_t.html#ga5129c459d93224bf7635bcacf0c885e9">More...</a><br /></td></tr>
<tr class="separator:ga5129c459d93224bf7635bcacf0c885e9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Contains functions related to windowing of data (typically prior to an FFT) </p>
</div></div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
